Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\Flysystem Class Reference
Inheritance diagram for eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\Flysystem:

## Public Member Functions
| getParentServiceId ()
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| __construct (Repository $repository, array $matchConfig=[])
| match (View $view)
| Checks if $valueObject has a usable configuration for $viewType. More...

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\BlockMatcherFactory
const | MATCHER_RELATIVE_NAMESPACE = 'eZ\\Publish\\Core\\MVC\\Symfony\\Matcher\\Block'
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\BlockMatcherFactory
| getMatcher ($matcherIdentifier)
| Returns the matcher object. More...
| doMatch (BaseMatcherInterface $matcher, View $view)
| Checks if $valueObject matches $matcher rules. More...
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| doMatch (MatcherInterface $matcher, View $valueObject)
| Checks if $valueObject matches $matcher rules. More...
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| $repository
| $matchConfig
| $matchers
| $matcherRelativeNamespace
| $alreadyMatched

## Detailed Description

Definition at line 11 of file Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/Flysystem.php.

## Member Function Documentation

## ◆ getParentServiceId()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\Flysystem::getParentServiceId | ( |  | ) |

Definition at line 13 of file Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/Flysystem.php.

The documentation for this class was generated from the following file:

- Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/Flysystem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.